<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.pluss.platform.mapper.MerchantChannelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.pluss.platform.entity.MerchantChannel">
        <id column="id" property="id" />
        <result column="channelName" property="channelName" />
        <result column="channelCode" property="channelCode" />
        <result column="status" property="status" />
    </resultMap>

    <select id="selectValidIdList" resultType="java.lang.Integer">
        SELECT id FROM tb_pluss_merchant_channel WHERE `status` = 1
    </select>

    <select id="selectList" resultType="cn.pluss.platform.entity.MerchantChannel">
        SELECT id,channelName FROM tb_pluss_merchant_channel WHERE `status` = 1
    </select>



</mapper>
